/************************************************************************/
/*                                                                      */
/*      Print Edit - Generic WebExtension - Options Page                */
/*                                                                      */
/*      Javascript for Options Page                                     */
/*                                                                      */
/*      Last Edit - 19 Jan 2016                                         */
/*                                                                      */
/*      Copyright (C) 2013-2016 DW-dev                                  */
/*                                                                      */
/*      Distributed under the GNU General Public License version 2      */
/*      See LICENCE.txt file and http://www.gnu.org/licenses/           */
/*                                                                      */
/************************************************************************/

"use strict";

/************************************************************************/

/* Initialize on options page load */

document.addEventListener("DOMContentLoaded",onLoadPage,false);

/************************************************************************/

/* Load options */

function onLoadPage(event)
{
    /* Load options from local storage */
    
    chrome.storage.local.get(null,
    function(object)
    {
        document.getElementById("options-before-adjust").checked = object["options-before-adjust"];
        document.getElementById("options-hide-select").checked = object["options-hide-select"];
        document.getElementById("options-undo-reinstate").checked = object["options-undo-reinstate"];
        document.getElementById("options-close-donotask").checked = object["options-close-donotask"];
        document.getElementById("options-unload-askonly").checked = object["options-unload-askonly"];
        document.getElementById("options-textpieces-breaks").checked = object["options-textpieces-breaks"];
        
        document.getElementById("options-purge-deleted").checked = object["options-purge-deleted"];
        document.getElementById("options-purge-hidden").checked = object["options-purge-hidden"];
        document.getElementById("options-purge-styles").checked = object["options-purge-styles"];
        
        document.getElementById("options-select-border").checked = object["options-select-border"];
        document.getElementById("options-select-area").checked = object["options-select-area"];
        document.getElementById("options-capture-snap").checked = object["options-capture-snap"];
    });
    
    /* Add listener for click on save button */
    
    document.getElementById("options-save-button").addEventListener("click",onClickSave,false);
}

/************************************************************************/

/* Save options */

function onClickSave(event)
{
    /* Save format panel settings to local storage */
    
    chrome.storage.local.set(
    {
        "options-before-adjust": document.getElementById("options-before-adjust").checked,
        "options-hide-select": document.getElementById("options-hide-select").checked,
        "options-undo-reinstate": document.getElementById("options-undo-reinstate").checked,
        "options-close-donotask": document.getElementById("options-close-donotask").checked,
        "options-unload-askonly": document.getElementById("options-unload-askonly").checked,
        "options-textpieces-breaks": document.getElementById("options-textpieces-breaks").checked,
        
        "options-purge-deleted": document.getElementById("options-purge-deleted").checked,
        "options-purge-hidden": document.getElementById("options-purge-hidden").checked,
        "options-purge-styles": document.getElementById("options-purge-styles").checked,
        
        "options-select-border": document.getElementById("options-select-border").checked,
        "options-select-area": document.getElementById("options-select-area").checked,
        "options-capture-snap": document.getElementById("options-capture-snap").checked
    });
    
    /* Display saved status for short period */
    
    document.getElementById("options-save-status").textContent = "Saved";
    
    setTimeout(function()
	{
        document.getElementById("options-save-status").textContent = "";
    }
    ,1000);
}

/************************************************************************/
